ListTask (Catalina Internal API Documentation)
Keywords: org.apache.catalina.ant.ListTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class ListTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.ListTask

public class ListTask
extends AbstractCatalinaTask

Ant task that implements the `/list` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Revision: 289110 $ $Date: 2005-06-11 06:47:37 -0400 (Sat, 11 Jun 2005) $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ListTask()`

Method Summary
`void` | `execute()` Execute the requested operation.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTask

    public ListTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.